Package com.google.protobuf

## Interface Internal.EnumLite

All Known Subinterfaces:
  `ProtocolMessageEnum`

All Known Implementing Classes:
  `DescriptorProtos.FieldDescriptorProto.Label`, `DescriptorProtos.FieldDescriptorProto.Type`, `DescriptorProtos.FieldOptions.CType`, `DescriptorProtos.FileOptions.OptimizeMode`, `Descriptors.EnumValueDescriptor`

Enclosing class:
  Internal

    public static interface Internal.EnumLite

Interface for an enum value or value descriptor, to be used in FieldSet. The lite library stores enum values directly in FieldSets but the full library stores EnumValueDescriptors in order to better support reflection.

### Method Summary

All Methods Instance Methods Abstract Methods
`int` `getNumber()`

### Method Detail

#### getNumber

    int getNumber()